IonCube Loader is a software tool, that's necessary to run files which are protected with ionCube PHP Encoder. The latter is an application designed to make PHP code human unreadable, as a way to protect it from reverse engineering or unauthorized usage. Numerous script-driven applications, in particular community forums, cms and e-commerce solutions are encrypted with ionCube PHP Encoder, which means that if you get a script and you find that ionCube is on the list of web hosting environment prerequisites, you need to make sure that your hosting server has the instrument pre-installed. Though it is not that hard to install it if you have your own server, it's almost impossible to do that on a shared web hosting server because the PHP environment will have to be precompiled and all clients on the server will be affected.

IonCube in Cloud Web Hosting

IonCube Loader is provided with all the cloud web hosting packages that we supply, so when you need it to install and run some script app which requires it, you can enable it with a click in the Advanced area of your Hepsia Control Panel. Since you are able to change the PHP release that's active for your account in the same section, you'll need to enable the instrument for any new version that you set. When you are more skillful, you are able to take advantage of a php.ini file in a domain or subdomain folder and set both the PHP version and the status of ionCube Loader for this particular website only, without affecting the entire account. This way you are able to run both new and older script apps for multiple websites inside the same account - something that you can't do with many other hosting providers out there.

IonCube in Semi-dedicated Hosting

As all semi-dedicated server accounts are created on our advanced cluster platform and ionCube Loader is available on it, you'll be able to use any script app which requires the software tool in order to work effectively. With several clicks in the Hepsia web hosting Control Panel you can activate or deactivate ionCube for the PHP version that's currently active for your account. As we support a couple of versions of PHP at the same time, you will need to do that each time you switch to a new release, and when you revert back to a release which you have already used, our system will remember your choice and ionCube Loader will already be activated. In case you have several websites inside the same account and they need different versions of PHP, you are able to set up a php.ini file in every single domain folder and with a couple of lines of code you're able to define both the PHP version as well as the status of ionCube no matter what is selected for the website hosting account altogether.